Subject: Re: bug#27844: 26.0.50; Dired w/ eshell-ls doesn't support wildcards in file name

From: Eli Zaretskii <[email-masked]>
Date: Tue, 01 Aug 2017 21:43:41 +0300

> From: Tino Calancha <[email-masked]>
> Date: Wed, 2 Aug 2017 01:04:20 +0900 (JST)
> cc: Tino Calancha <[email-masked]>, [email-masked]
> 
> 1) I am imaging one user in a system without an external 'ls' installed.
> 
> 2) This hypothetical user wants to use Dired;  after searching the web,
>     find s?he could do it via eshell.
> 
> 3) I assume this user is not interested in the eshell internals: just want
>     to have Dired running without complications.  That means
>     'eshell-error-if-no-glob' keeps its default, nil.

How about binding eshell-error-if-no-glob to non-nil when eshell/ls is
called from Dired, then?

> I like the idea that Dired behaves uniformsly regardless on if we are 
> using an external 'ls' or an elisp emulation of it.

That's an unreachable ideal, because there are too many versions of
'ls' out there.  GNU 'ls' is just one of them.  And sometimes the
error comes from the shell which expands wildcards, not from 'ls'
itself.